body{
    display: grid;
    margin: 0px;
    color:#000000;
    font-family:Arial,Sans-serif;
    font-size:12px;

    box-sizing: border-box;
    border-top: 1px solid #808080;
    
    grid-template-columns: auto 1fr;
    grid-template-rows: auto 1fr auto auto;
    grid-template-areas:
        "logo stack"
	"bar stack"
	"entorno stack"
    	"login stack";
    justify-content:stretch;
    align-content: stretch;
    background-color: #e8e8e8;
    /* min-height: 100vh; */
    min-height: 100vh;
    height: 100vh;

    /* customización de estilos de los webcomponents */
    /* --listador-comandos-bar__button--color: green; */
    /* --listador-comandos-bar__button--display: inline-block; */
    /* --listador-comandos-bar__button--width: auto */
}

#side-bar{
    grid-area: bar;
    background-color:#e0e0e0;
    border-right: 1px solid #808080;
    padding: .5rem 1rem .8rem .8rem;

    overflow-y: auto;
    height: 100%;
    box-sizing: border-box;
}

#dropdown{
    display: none;
}
 
/* visor-comandos-dropdown{ */
/*     grid-area:dropdown; */
/*     border-bottom: 1px solid #808080; */
/* } */

#body__stack{
    grid-area: stack;
    /* background-color: #e0ffe0; */
    /* margin: 1.7rem; */
    padding: 1.7rem;
    align-self: start;
    overflow-y: auto;
    height: 100%;
    box-sizing: border-box;
}

#body__visor-header{
    display: none;
    /* grid-area: header; */
    /* border-bottom: 1px solid #808080; */
}

#body__visor-logo{
    grid-area: logo;
    border-bottom: 1px solid #808080;
    border-right: 1px solid #808080;
    background-color: #241f1f;
    padding-top: 1rem;
    padding-left: 0rem;
    padding-bottom: 1rem;
}


#body__visor-titulo{
    display:none;
    grid-area: titulo;
    border-bottom: 1px solid #808080;
    background-color: #d0d0d0;
    padding-left: 1rem;
}

#body__visor-footer-entorno{
    grid-area: entorno;
    border-top: 1px solid #808080;
    border-right: 1px solid #808080;
    /* background-color:#e0e0e0; */
    background-color: #d0d0d0;
    justify-self: start;
    /* padding-left: .8rem !important; */
}

#body__visor-footer-login{
    grid-area: login;
    border-top: 1px solid #808080;
    border-right: 1px solid #808080;
    /* background-color:#e0e0e0; */
    background-color: #d0d0d0;
    justify-self: start;
    /* padding-left: .8rem !important; */
}

#body__visor-footer-detailed{
    display:none;
}

